/*-----Généralités-----*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --color-blanc: #f1f1f1;
    --color-vert: #113300;
}

body {
    background: var(--color-blanc);
    font-family: "bahnschrift", sans-serif;
    min-height: 100%;
}

.container {
    width: 80%;
    max-width: 1400px;
    margin: auto;
}

h1 {
    color: var(--color-vert);
    margin: 100px 0 50px;
    padding-bottom: 20px;
    border-bottom: 1px solid gray;
    font-size: 40px;
}

h2 {
    color: var(--color-vert);
    font-weight: 200;
    margin-bottom: 50px;
    font-size: 28px;
}

h3 {
    font-size: 24px;
    color: var(--color-vert);
    font-weight: 200;
    margin: 50px 20px 25px;
}

/*-----PAGE DE NAVIGATION-----*/

.container .annee_actuelle {
    display: grid;
}

.bloc_nav {
    display: none;
}

.navigation {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    margin-bottom: 100px;
}

.navigation a {
    border-radius: 8px;
    border: solid 1px var(--color-vert);
    padding: 20px;
    margin: 20px auto;
    text-decoration: none;
    color: var(--color-vert);
    width: 300px;
    transition: 0.3s;
}

.navigation a:hover {
    background: var(--color-vert);
    color: white;
    transition: 0.3s;
}

/*-----PAGE AVEC CARTES-----*/

.card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 100px;
    margin: 80px 0;
}

.card-wrapper {
    position: relative;
    min-height: 200px;
    perspective: 2000px;
    perspective-origin: top;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    border-bottom: dashed gray 1px;
    padding-bottom: 40px;
}

.active {
    transform: rotateY(180deg);
    transition: 0.3s;
}

.card {
    position: relative;
    height: 75%;
    aspect-ratio: 16/9;
    transform-style: preserve-3d;
    transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1);
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.card-front,
.card-back {
    position: absolute;
    height: 100%;
    width: 100%;
    padding: 30px;
    border-radius: 8px;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

.card-front {
    background: var(--color-blanc);
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: solid 1px var(--color-vert);
}

.card-front p {
    font-size: 20px;
    line-height: 28px;
    text-align: center;
    color: var(--color-vert)
}

.card-front .reduit {
    font-weight: 100;
    font-size: 18px;
    line-height: 20px;
}

.card-back {
    background: var(--color-vert);
    transform: rotateY(180deg);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card-back p {
    font-size: 20px;
    line-height: 28px;
    color: white;
    text-align: center;
}

.card-back .phrase {
    font-weight: 100;
    font-size: 18px;
    line-height: 20px;
}

/*-----Bouton-----*/

#boutons,
#annees {
    display: flex;
    background: var(--color-blanc);
    flex-wrap: wrap;
}

#annees{
    position: sticky;
    top:0;
    justify-content: space-evenly;
    border-bottom: solid 1px var(--color-vert);
}

.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    justify-content: center;
}

#retour,
#mode {
    background: var(--color-vert);
    color: white;
    font-size: 16px;
    font-weight: 100;
    font-family: "bahnschrift", sans-serif;
    padding: 16px;
    border-radius: 8px;
    margin: 20px 20px 20px 0;
    text-decoration: none;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    color: white;
    transition: 0.3s;
    border: solid 1px var(--color-vert);
	aspect-ratio: 16/9;
}

#mode .md{
	font-size:22px;
}

#mode:hover,
#retour:hover {
    color: var(--color-vert);
    background: var(--color-blanc);
    transition: 0.3s;
}

.annee {
    font-size: 16px;
    font-family: "bahnschrift", sans-serif;
    font-weight: 100;
    background: var(--color-blanc);
    color: var(--color-vert);
    padding: 16px;
    border-radius: 8px;
    margin: 20px 20px 20px 0;
    text-decoration: none;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.3s;
    border: solid 1px var(--color-vert);
}

.annee:hover {
    color: var(--color-blanc);
    background: var(--color-vert);
    transition: 0.3s;
}

.focus,
.focus:hover {
    background: var(--color-vert);
    color: var(--color-blanc);
}

#scrollToTopButton {
    display: none;
    position: fixed;
    bottom: 57px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    background-color: var(--color-vert);
    color: white;
    border: solid 1px var(--color-vert);
    outline: none;
    cursor: pointer;
    padding: 15px;
    border-radius: 50px;
    opacity: 0;
    transition: 0.3s;
    height: 50px;
    width: 50px;
}

#scrollToTopButton.show {
    display: block;
    opacity: 1;
    transition: 0.3s;
}

#scrollToTopButton:hover {
    background-color: var(--color-blanc);
    color: var(--color-vert);
}


/*-----FOOTER-----*/

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px 0;
    background: #113300;
    position: fixed;
    bottom: 0px;
	width: 100%;
}

footer p {
    color: var(--color-blanc);
	font-size:10pt;
}

/*-----FORMULAIRE-----*/

fieldset{
    height: 200px;
    justify-content: center;
	display:flex;
	flex-direction:column;
}

fieldset .options{
	display:flex;
	justify-content:space-around;
}

fieldset .select_annee{
	display:flex;
	justify-content:center;
	margin-top:50px;
}

fieldset .select_annee div{
	display:flex;
	justify-content:center;
}

fieldset .select_annee input{
	margin-right: 12px;
}

fieldset div div{
	width: 20%;
}

form .explication p{
    color:#777;
    font-size: 14px;
}

legend{
    margin-left: 10px;
    padding: 0 15px;
}

label input{
    width: 100%;
    height: 32px;
    border-radius: 8px;
    padding: 0 10px;
    border: solid 1px var(--color-vert);
}

#enregistrer{
    display: flex;
    justify-content: center;
    height: 100px;
    align-items: center;
}

.envoi{
    font-family: "bahnschrift", sans-serif;
    padding:16px;
    font-weight: 400;
    border-radius: 8px;
    background:var(--color-vert);
    color:var(--color-blanc);
    cursor: pointer;
    text-transform: uppercase;
}

.envoi:hover{
    background:var(--color-blanc);
    color:var(--color-vert);
}

/*



label input{
    width: 100%;
    height: 32px;
    border-radius: 8px;
    padding: 0 10px;
    border: solid 1px var(--color-vert);
}

*/

/*-----RESPONSIVE MOBILE-----*/

@media only screen and (max-width: 768px){
    h1 {
        margin-top: 50px;
    }
    
    fieldset {
        height: 380px;
    }
    
    fieldset .select_annee {
        flex-direction: column;
        margin-top: 20px;
        align-items: center;
    }
    
    fieldset .select_annee div {
        margin-bottom: 5px;
    }
    
    fieldset .options {
        flex-direction: column;
        align-items: center;
    }
    
    fieldset .options div {
        margin-bottom: 10px;
    }
    
    fieldset div div {
        width: 80%;
    }
    
    form .explication{
        margin-bottom: 80px;
    }
}


/*-----RESPONSIVE TABLETTE-----*/

@media only screen and (min-width: 769px) and (max-width:1024px){
    
}